﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MyMemcached
{
    public partial class GetForm : Form
    {
        DAO.Stats stats = MainForm.Stats;
        public GetForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 开始查询
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnGo_Click(object sender, EventArgs e)
        {
            textBox1.ResetText();
            var getResult = stats.Get(Servers.CurrentServer,tbKey.Text);
            textBox1.AppendText(string.Format("Value\t{0}\r\n", getResult["value"]));
            if (getResult.ContainsKey("type"))
            {
                textBox1.AppendText(string.Format("Type\t{0}\r\n", getResult["type"]));
            }
        }

        private void tbKey_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyValue == 13)
            {
                btnGo_Click(sender, e);
            }
        }

        private void btn_delCache_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(tbKey.Text)) return;

            textBox1.ResetText();
            textBox1.AppendText(stats.Delete(Servers.CurrentServer, tbKey.Text));
        }
    }
}
