﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MyMemcached
{
    public static class Servers
    {
        public static TelnetConnection CurrentServer { get; set; }

        /// <summary>
        /// telnet 服务器列表
        /// </summary>
        private static Dictionary<string, TelnetConnection> _serverList;
        public static Dictionary<string, TelnetConnection> ServerList 
        {
            get 
            {
                if (_serverList==null)
                {
                    _serverList = new Dictionary<string, TelnetConnection>();
                }
                return _serverList;
            }
        }


        /// <summary>
        /// 添加服务器
        /// </summary>
        /// <param name="telnet"></param>
        public static void Add(TelnetConnection telnet)
        {
            if (_serverList == null)
            {
                _serverList = new Dictionary<string, TelnetConnection>();
            }
            string server=string.Format("{0}:{1}", telnet.Hostname, telnet.Port);
            _serverList.Add(server, telnet);
          // CurrentServer = _serverList[server];
        }
    }
}
